<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: AttachmentCategoriesContainer Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d0/d82/class_attachment_categories_container.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">AttachmentCategoriesContainer Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for AttachmentCategoriesContainer:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d0/d82/class_attachment_categories_container.png" usemap="#AttachmentCategoriesContainer_map" alt=""/>
  <map id="AttachmentCategoriesContainer_map" name="AttachmentCategoriesContainer_map">
<area href="../../d5/d72/class_collapsible_container.html" alt="CollapsibleContainer" shape="rect" coords="0,0,190,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a7da8897c0faddccac164e8003e0f222a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d82/class_attachment_categories_container.html#a7da8897c0faddccac164e8003e0f222a">AttachmentCategoriesContainer</a> (<a class="el" href="../../d5/d08/class_layout_holder.html">LayoutHolder</a> parent, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> sort=-1)</td></tr>
<tr class="separator:a7da8897c0faddccac164e8003e0f222a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8093bc854ee620a104ec217a5b7999c7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d82/class_attachment_categories_container.html#a8093bc854ee620a104ec217a5b7999c7">SetEntity</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> entity)</td></tr>
<tr class="separator:a8093bc854ee620a104ec217a5b7999c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae5c493ef4bcd1b2440b1acd9ca1e6043"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d82/class_attachment_categories_container.html#ae5c493ef4bcd1b2440b1acd9ca1e6043">SetHeaderName</a> ()</td></tr>
<tr class="separator:ae5c493ef4bcd1b2440b1acd9ca1e6043"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec2f1adc1f1612707a5e66643160b979"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d82/class_attachment_categories_container.html#aec2f1adc1f1612707a5e66643160b979">IsDisplayable</a> ()</td></tr>
<tr class="separator:aec2f1adc1f1612707a5e66643160b979"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0341c4e6270088d2d45fdcc152611620"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d82/class_attachment_categories_container.html#a0341c4e6270088d2d45fdcc152611620">UpdateInterval</a> ()</td></tr>
<tr class="separator:a0341c4e6270088d2d45fdcc152611620"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8924de7d2aa4a2facdaef16fd84f8d91"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d82/class_attachment_categories_container.html#a8924de7d2aa4a2facdaef16fd84f8d91">LoadAttachmentCategoriesIcon</a> (<a class="el" href="../../df/d49/class_slots_container.html">SlotsContainer</a> items_cont, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> icon_name, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> slot_number)</td></tr>
<tr class="separator:a8924de7d2aa4a2facdaef16fd84f8d91"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2b4efe59c5d2713d2ac76ae26e82417"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d82/class_attachment_categories_container.html#aa2b4efe59c5d2713d2ac76ae26e82417">GetAttachmentCategoriesCount</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> config_path)</td></tr>
<tr class="separator:aa2b4efe59c5d2713d2ac76ae26e82417"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af3c620de710252f64495b7a5a48c0905"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../df/d49/class_slots_container.html">SlotsContainer</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d82/class_attachment_categories_container.html#af3c620de710252f64495b7a5a48c0905">GetSlotsContainer</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> icons_row)</td></tr>
<tr class="separator:af3c620de710252f64495b7a5a48c0905"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46e87def79e1b11fc8a0ead923839a8e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d3/dae/class_slots_icon.html">SlotsIcon</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d82/class_attachment_categories_container.html#a46e87def79e1b11fc8a0ead923839a8e">GetCargoSlotsIcon</a> ()</td></tr>
<tr class="separator:a46e87def79e1b11fc8a0ead923839a8e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a638e770a9d519fab0cdb5d70378147e2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d82/class_attachment_categories_container.html#a638e770a9d519fab0cdb5d70378147e2">ShowInSlots</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> category, <a class="el" href="../../d9/db9/classbool.html">bool</a> show)</td></tr>
<tr class="separator:a638e770a9d519fab0cdb5d70378147e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a974c005ee8c7b3e59c76e17804c19a29"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d82/class_attachment_categories_container.html#a974c005ee8c7b3e59c76e17804c19a29">GetAttachmentCategory</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> config_path_attachment_categories, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> i)</td></tr>
<tr class="separator:a974c005ee8c7b3e59c76e17804c19a29"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aedd9f45f2642ac0a8acff0e4f5321d17"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d82/class_attachment_categories_container.html#aedd9f45f2642ac0a8acff0e4f5321d17">GetIconName</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> config_path_attachment_categories, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> attachment_category)</td></tr>
<tr class="separator:aedd9f45f2642ac0a8acff0e4f5321d17"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2facea7ef73983c09ceb29f4693685ae"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d82/class_attachment_categories_container.html#a2facea7ef73983c09ceb29f4693685ae">GetViewIndex</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> config_path_attachment_categories, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> attachment_category)</td></tr>
<tr class="separator:a2facea7ef73983c09ceb29f4693685ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adbe48a9d9a6ce88276bbe473f059bd16"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d82/class_attachment_categories_container.html#adbe48a9d9a6ce88276bbe473f059bd16">MouseClick</a> (<a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w)</td></tr>
<tr class="separator:adbe48a9d9a6ce88276bbe473f059bd16"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac494b694f6931c7630219fc8a54d6909"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d82/class_attachment_categories_container.html#ac494b694f6931c7630219fc8a54d6909">ExpandCollapseContainer</a> ()</td></tr>
<tr class="separator:ac494b694f6931c7630219fc8a54d6909"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa8d2b5cf74ef3ff0c173c81a7c00ce46"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d82/class_attachment_categories_container.html#aa8d2b5cf74ef3ff0c173c81a7c00ce46">IsHeaderActive</a> ()</td></tr>
<tr class="separator:aa8d2b5cf74ef3ff0c173c81a7c00ce46"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e81c32b72e1d83f826ed14c4119cb6e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d82/class_attachment_categories_container.html#a8e81c32b72e1d83f826ed14c4119cb6e">InitIconsContainers</a> ()</td></tr>
<tr class="separator:a8e81c32b72e1d83f826ed14c4119cb6e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a808301347b24201ce88f908407f86d80"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d82/class_attachment_categories_container.html#a808301347b24201ce88f908407f86d80">InitGhostSlots</a> ()</td></tr>
<tr class="separator:a808301347b24201ce88f908407f86d80"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8380bfc19b95a0eb648b139bab11afd7"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d82/class_attachment_categories_container.html#a8380bfc19b95a0eb648b139bab11afd7">OnDropReceivedFromHeader</a> (<a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> <a class="el" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> <a class="el" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> receiver)</td></tr>
<tr class="separator:a8380bfc19b95a0eb648b139bab11afd7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39da9fa9c6f822482c5c1d5cbb942227"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d82/class_attachment_categories_container.html#a39da9fa9c6f822482c5c1d5cbb942227">DraggingOverHeader</a> (<a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> <a class="el" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> <a class="el" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> receiver)</td></tr>
<tr class="separator:a39da9fa9c6f822482c5c1d5cbb942227"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a531f0aabaef0b883f2a0f247fd31642a"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d82/class_attachment_categories_container.html#a531f0aabaef0b883f2a0f247fd31642a">CollapseButtonOnMouseButtonDown</a> (<a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w)</td></tr>
<tr class="separator:a531f0aabaef0b883f2a0f247fd31642a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a7670e06dc7512ef2a9017df94c8df18e"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d82/class_attachment_categories_container.html#a7670e06dc7512ef2a9017df94c8df18e">m_Entity</a></td></tr>
<tr class="separator:a7670e06dc7512ef2a9017df94c8df18e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a91cc58f70f36d1a1d925df1dbf6cd352"><td class="memItemLeft" align="right" valign="top">protected ref <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d82/class_attachment_categories_container.html#a91cc58f70f36d1a1d925df1dbf6cd352">m_CategorySlotIndex</a></td></tr>
<tr class="separator:a91cc58f70f36d1a1d925df1dbf6cd352"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2c48fae1c5a20e0b4fa674bde7b93bb8"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d82/class_attachment_categories_container.html#a2c48fae1c5a20e0b4fa674bde7b93bb8">m_SlotsCount</a></td></tr>
<tr class="separator:a2c48fae1c5a20e0b4fa674bde7b93bb8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a8696512a973cee460c4282613a1da0"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d3/dae/class_slots_icon.html">SlotsIcon</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d82/class_attachment_categories_container.html#a9a8696512a973cee460c4282613a1da0">m_CargoSlotsIcon</a></td></tr>
<tr class="separator:a9a8696512a973cee460c4282613a1da0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../de/d08/_attachment_categories_container_8c_source.html#l00001">1</a> of file <a class="el" href="../../de/d08/_attachment_categories_container_8c_source.html">AttachmentCategoriesContainer.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a7da8897c0faddccac164e8003e0f222a" name="a7da8897c0faddccac164e8003e0f222a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7da8897c0faddccac164e8003e0f222a">&#9670;&#160;</a></span>AttachmentCategoriesContainer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AttachmentCategoriesContainer::AttachmentCategoriesContainer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/d08/class_layout_holder.html">LayoutHolder</a>&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>sort</em> = <code>-1</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d08/_attachment_categories_container_8c_source.html#l00008">8</a> of file <a class="el" href="../../de/d08/_attachment_categories_container_8c_source.html">AttachmentCategoriesContainer.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a531f0aabaef0b883f2a0f247fd31642a" name="a531f0aabaef0b883f2a0f247fd31642a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a531f0aabaef0b883f2a0f247fd31642a">&#9670;&#160;</a></span>CollapseButtonOnMouseButtonDown()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void AttachmentCategoriesContainer::CollapseButtonOnMouseButtonDown </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>&#160;</td>
          <td class="paramname"><em>w</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d08/_attachment_categories_container_8c_source.html#l00422">422</a> of file <a class="el" href="../../de/d08/_attachment_categories_container_8c_source.html">AttachmentCategoriesContainer.c</a>.</p>

</div>
</div>
<a id="a39da9fa9c6f822482c5c1d5cbb942227" name="a39da9fa9c6f822482c5c1d5cbb942227"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a39da9fa9c6f822482c5c1d5cbb942227">&#9670;&#160;</a></span>DraggingOverHeader()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void AttachmentCategoriesContainer::DraggingOverHeader </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>&#160;</td>
          <td class="paramname"><em>w</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>&#160;</td>
          <td class="paramname"><em>receiver</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d08/_attachment_categories_container_8c_source.html#l00396">396</a> of file <a class="el" href="../../de/d08/_attachment_categories_container_8c_source.html">AttachmentCategoriesContainer.c</a>.</p>

</div>
</div>
<a id="ac494b694f6931c7630219fc8a54d6909" name="ac494b694f6931c7630219fc8a54d6909"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac494b694f6931c7630219fc8a54d6909">&#9670;&#160;</a></span>ExpandCollapseContainer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AttachmentCategoriesContainer::ExpandCollapseContainer </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d08/_attachment_categories_container_8c_source.html#l00226">226</a> of file <a class="el" href="../../de/d08/_attachment_categories_container_8c_source.html">AttachmentCategoriesContainer.c</a>.</p>

</div>
</div>
<a id="aa2b4efe59c5d2713d2ac76ae26e82417" name="aa2b4efe59c5d2713d2ac76ae26e82417"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa2b4efe59c5d2713d2ac76ae26e82417">&#9670;&#160;</a></span>GetAttachmentCategoriesCount()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> AttachmentCategoriesContainer::GetAttachmentCategoriesCount </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>config_path</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d08/_attachment_categories_container_8c_source.html#l00148">148</a> of file <a class="el" href="../../de/d08/_attachment_categories_container_8c_source.html">AttachmentCategoriesContainer.c</a>.</p>

</div>
</div>
<a id="a974c005ee8c7b3e59c76e17804c19a29" name="a974c005ee8c7b3e59c76e17804c19a29"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a974c005ee8c7b3e59c76e17804c19a29">&#9670;&#160;</a></span>GetAttachmentCategory()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> AttachmentCategoriesContainer::GetAttachmentCategory </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>config_path_attachment_categories</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>i</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d08/_attachment_categories_container_8c_source.html#l00181">181</a> of file <a class="el" href="../../de/d08/_attachment_categories_container_8c_source.html">AttachmentCategoriesContainer.c</a>.</p>

</div>
</div>
<a id="a46e87def79e1b11fc8a0ead923839a8e" name="a46e87def79e1b11fc8a0ead923839a8e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a46e87def79e1b11fc8a0ead923839a8e">&#9670;&#160;</a></span>GetCargoSlotsIcon()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d3/dae/class_slots_icon.html">SlotsIcon</a> AttachmentCategoriesContainer::GetCargoSlotsIcon </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d08/_attachment_categories_container_8c_source.html#l00159">159</a> of file <a class="el" href="../../de/d08/_attachment_categories_container_8c_source.html">AttachmentCategoriesContainer.c</a>.</p>

</div>
</div>
<a id="aedd9f45f2642ac0a8acff0e4f5321d17" name="aedd9f45f2642ac0a8acff0e4f5321d17"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aedd9f45f2642ac0a8acff0e4f5321d17">&#9670;&#160;</a></span>GetIconName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> AttachmentCategoriesContainer::GetIconName </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>config_path_attachment_categories</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>attachment_category</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d08/_attachment_categories_container_8c_source.html#l00188">188</a> of file <a class="el" href="../../de/d08/_attachment_categories_container_8c_source.html">AttachmentCategoriesContainer.c</a>.</p>

</div>
</div>
<a id="af3c620de710252f64495b7a5a48c0905" name="af3c620de710252f64495b7a5a48c0905"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af3c620de710252f64495b7a5a48c0905">&#9670;&#160;</a></span>GetSlotsContainer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../df/d49/class_slots_container.html">SlotsContainer</a> AttachmentCategoriesContainer::GetSlotsContainer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>icons_row</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d08/_attachment_categories_container_8c_source.html#l00153">153</a> of file <a class="el" href="../../de/d08/_attachment_categories_container_8c_source.html">AttachmentCategoriesContainer.c</a>.</p>

</div>
</div>
<a id="a2facea7ef73983c09ceb29f4693685ae" name="a2facea7ef73983c09ceb29f4693685ae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2facea7ef73983c09ceb29f4693685ae">&#9670;&#160;</a></span>GetViewIndex()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> AttachmentCategoriesContainer::GetViewIndex </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>config_path_attachment_categories</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>attachment_category</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d08/_attachment_categories_container_8c_source.html#l00196">196</a> of file <a class="el" href="../../de/d08/_attachment_categories_container_8c_source.html">AttachmentCategoriesContainer.c</a>.</p>

</div>
</div>
<a id="a808301347b24201ce88f908407f86d80" name="a808301347b24201ce88f908407f86d80"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a808301347b24201ce88f908407f86d80">&#9670;&#160;</a></span>InitGhostSlots()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AttachmentCategoriesContainer::InitGhostSlots </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d08/_attachment_categories_container_8c_source.html#l00296">296</a> of file <a class="el" href="../../de/d08/_attachment_categories_container_8c_source.html">AttachmentCategoriesContainer.c</a>.</p>

</div>
</div>
<a id="a8e81c32b72e1d83f826ed14c4119cb6e" name="a8e81c32b72e1d83f826ed14c4119cb6e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8e81c32b72e1d83f826ed14c4119cb6e">&#9670;&#160;</a></span>InitIconsContainers()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AttachmentCategoriesContainer::InitIconsContainers </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d08/_attachment_categories_container_8c_source.html#l00264">264</a> of file <a class="el" href="../../de/d08/_attachment_categories_container_8c_source.html">AttachmentCategoriesContainer.c</a>.</p>

</div>
</div>
<a id="aec2f1adc1f1612707a5e66643160b979" name="aec2f1adc1f1612707a5e66643160b979"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aec2f1adc1f1612707a5e66643160b979">&#9670;&#160;</a></span>IsDisplayable()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> AttachmentCategoriesContainer::IsDisplayable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d08/_attachment_categories_container_8c_source.html#l00035">35</a> of file <a class="el" href="../../de/d08/_attachment_categories_container_8c_source.html">AttachmentCategoriesContainer.c</a>.</p>

</div>
</div>
<a id="aa8d2b5cf74ef3ff0c173c81a7c00ce46" name="aa8d2b5cf74ef3ff0c173c81a7c00ce46"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa8d2b5cf74ef3ff0c173c81a7c00ce46">&#9670;&#160;</a></span>IsHeaderActive()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> AttachmentCategoriesContainer::IsHeaderActive </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d08/_attachment_categories_container_8c_source.html#l00259">259</a> of file <a class="el" href="../../de/d08/_attachment_categories_container_8c_source.html">AttachmentCategoriesContainer.c</a>.</p>

</div>
</div>
<a id="a8924de7d2aa4a2facdaef16fd84f8d91" name="a8924de7d2aa4a2facdaef16fd84f8d91"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8924de7d2aa4a2facdaef16fd84f8d91">&#9670;&#160;</a></span>LoadAttachmentCategoriesIcon()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AttachmentCategoriesContainer::LoadAttachmentCategoriesIcon </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/d49/class_slots_container.html">SlotsContainer</a>&#160;</td>
          <td class="paramname"><em>items_cont</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>icon_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>slot_number</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d08/_attachment_categories_container_8c_source.html#l00140">140</a> of file <a class="el" href="../../de/d08/_attachment_categories_container_8c_source.html">AttachmentCategoriesContainer.c</a>.</p>

</div>
</div>
<a id="adbe48a9d9a6ce88276bbe473f059bd16" name="adbe48a9d9a6ce88276bbe473f059bd16"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adbe48a9d9a6ce88276bbe473f059bd16">&#9670;&#160;</a></span>MouseClick()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AttachmentCategoriesContainer::MouseClick </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>&#160;</td>
          <td class="paramname"><em>w</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d08/_attachment_categories_container_8c_source.html#l00202">202</a> of file <a class="el" href="../../de/d08/_attachment_categories_container_8c_source.html">AttachmentCategoriesContainer.c</a>.</p>

</div>
</div>
<a id="a8380bfc19b95a0eb648b139bab11afd7" name="a8380bfc19b95a0eb648b139bab11afd7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8380bfc19b95a0eb648b139bab11afd7">&#9670;&#160;</a></span>OnDropReceivedFromHeader()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void AttachmentCategoriesContainer::OnDropReceivedFromHeader </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>&#160;</td>
          <td class="paramname"><em>w</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>&#160;</td>
          <td class="paramname"><em>receiver</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d08/_attachment_categories_container_8c_source.html#l00371">371</a> of file <a class="el" href="../../de/d08/_attachment_categories_container_8c_source.html">AttachmentCategoriesContainer.c</a>.</p>

</div>
</div>
<a id="a8093bc854ee620a104ec217a5b7999c7" name="a8093bc854ee620a104ec217a5b7999c7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8093bc854ee620a104ec217a5b7999c7">&#9670;&#160;</a></span>SetEntity()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AttachmentCategoriesContainer::SetEntity </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>entity</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d08/_attachment_categories_container_8c_source.html#l00013">13</a> of file <a class="el" href="../../de/d08/_attachment_categories_container_8c_source.html">AttachmentCategoriesContainer.c</a>.</p>

</div>
</div>
<a id="ae5c493ef4bcd1b2440b1acd9ca1e6043" name="ae5c493ef4bcd1b2440b1acd9ca1e6043"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae5c493ef4bcd1b2440b1acd9ca1e6043">&#9670;&#160;</a></span>SetHeaderName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AttachmentCategoriesContainer::SetHeaderName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d08/_attachment_categories_container_8c_source.html#l00030">30</a> of file <a class="el" href="../../de/d08/_attachment_categories_container_8c_source.html">AttachmentCategoriesContainer.c</a>.</p>

</div>
</div>
<a id="a638e770a9d519fab0cdb5d70378147e2" name="a638e770a9d519fab0cdb5d70378147e2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a638e770a9d519fab0cdb5d70378147e2">&#9670;&#160;</a></span>ShowInSlots()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AttachmentCategoriesContainer::ShowInSlots </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>category</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>show</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d08/_attachment_categories_container_8c_source.html#l00164">164</a> of file <a class="el" href="../../de/d08/_attachment_categories_container_8c_source.html">AttachmentCategoriesContainer.c</a>.</p>

</div>
</div>
<a id="a0341c4e6270088d2d45fdcc152611620" name="a0341c4e6270088d2d45fdcc152611620"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0341c4e6270088d2d45fdcc152611620">&#9670;&#160;</a></span>UpdateInterval()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void AttachmentCategoriesContainer::UpdateInterval </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d08/_attachment_categories_container_8c_source.html#l00040">40</a> of file <a class="el" href="../../de/d08/_attachment_categories_container_8c_source.html">AttachmentCategoriesContainer.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a9a8696512a973cee460c4282613a1da0" name="a9a8696512a973cee460c4282613a1da0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9a8696512a973cee460c4282613a1da0">&#9670;&#160;</a></span>m_CargoSlotsIcon</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d3/dae/class_slots_icon.html">SlotsIcon</a> AttachmentCategoriesContainer::m_CargoSlotsIcon</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d08/_attachment_categories_container_8c_source.html#l00006">6</a> of file <a class="el" href="../../de/d08/_attachment_categories_container_8c_source.html">AttachmentCategoriesContainer.c</a>.</p>

</div>
</div>
<a id="a91cc58f70f36d1a1d925df1dbf6cd352" name="a91cc58f70f36d1a1d925df1dbf6cd352"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a91cc58f70f36d1a1d925df1dbf6cd352">&#9670;&#160;</a></span>m_CategorySlotIndex</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected ref <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt;<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&gt; AttachmentCategoriesContainer::m_CategorySlotIndex</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d08/_attachment_categories_container_8c_source.html#l00004">4</a> of file <a class="el" href="../../de/d08/_attachment_categories_container_8c_source.html">AttachmentCategoriesContainer.c</a>.</p>

</div>
</div>
<a id="a7670e06dc7512ef2a9017df94c8df18e" name="a7670e06dc7512ef2a9017df94c8df18e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7670e06dc7512ef2a9017df94c8df18e">&#9670;&#160;</a></span>m_Entity</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> AttachmentCategoriesContainer::m_Entity</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d08/_attachment_categories_container_8c_source.html#l00003">3</a> of file <a class="el" href="../../de/d08/_attachment_categories_container_8c_source.html">AttachmentCategoriesContainer.c</a>.</p>

</div>
</div>
<a id="a2c48fae1c5a20e0b4fa674bde7b93bb8" name="a2c48fae1c5a20e0b4fa674bde7b93bb8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2c48fae1c5a20e0b4fa674bde7b93bb8">&#9670;&#160;</a></span>m_SlotsCount</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> AttachmentCategoriesContainer::m_SlotsCount</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d08/_attachment_categories_container_8c_source.html#l00005">5</a> of file <a class="el" href="../../de/d08/_attachment_categories_container_8c_source.html">AttachmentCategoriesContainer.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/5_Mission/GUI/InventoryNew/Inherited/<a class="el" href="../../de/d08/_attachment_categories_container_8c_source.html">AttachmentCategoriesContainer.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d0/d82/class_attachment_categories_container.html">AttachmentCategoriesContainer</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
